package jp.gihyo.mitoma.android.lesson01_07;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

import java.util.ArrayList;

public class FriendsDAO {
    //private Context context;
    private SQLiteDatabase db;
    // コンストラクタ
    public FriendsDAO(Context context){
        // データベース入出力用オブジェクトの取り出し
        FriendsOpenHelper helper = new FriendsOpenHelper(context);
        this.db = helper.getWritableDatabase();
    }
    // 全件取り出し
    public ArrayList<FriendsDTO> select(){
        ArrayList<FriendsDTO> list = null;
        Cursor cursor = db.query("friends", null, null, null,
                null, null, null);
        while(cursor.moveToNext()){
            String id = cursor.getString(0);
            String name = cursor.getString(1);
            String tel = cursor.getString(2);
            String memo = cursor.getString(3);
            FriendsDTO  dto = new FriendsDTO(id,name,tel);
            list.add(dto);
        }
        cursor.close();
        return list;
    }
    // １件取り出し
    public FriendsDTO select(String id){
        FriendsDTO dto = null;
        String where = "id='" + id + "'" ;
        Cursor cursor = db.query("friends", null, where,
                null, null, null, null);
        if(cursor.moveToFirst()){
            String name = cursor.getString(1);
            String tel = cursor.getString(2);
            dto = new FriendsDTO(id,name,tel);
        }
        cursor.close();
        return dto;
    }
    // 追加
    public long insert(FriendsDTO dto){
        long result = 0;
        ContentValues values = new ContentValues();
        values.put("id", dto.id);
        values.put("name", dto.name);
        values.put("tel", dto.tel);
        result = db.insert("friends", null, values);
        return result;
    }

}
